-- ============================================================
--   DATABASE NAME:  FOLHA                                     
--   CREATED ON:     10/12/2018  15:30                         
-- ============================================================

-- ============================================================
--   TABLE: FPA_EVENTOM
-- ============================================================
INSERT INTO FPA_EVENTOM (NREVENTOM,DTINIVIGENCIA,DTFIMVIGENCIA,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDTIPOEVENTO)
  VALUES ('15',TO_DATE('01/01/00','DD/MM/RR'),null,'0',TO_DATE('01/01/00','DD/MM/RR'),TO_DATE('01/01/00','DD/MM/RR'),'1','1','1','1','PROVENTO')
/

-- ============================================================
--   TABLE: FPA_EVENTOH
-- ============================================================
INSERT INTO FPA_EVENTOH (NREVENTOH,NREVENTOM,NREVENTOTRANSF,NREVENTOESTORNO,NREVENTORESCIS,DTMESCOMPETENC,IDIMPRESSEVENTO,NRORDIMPRESEVEN,VRPELIMITEVENTO,VRLIMITEEVENTO,IDTIPOOCORREVEN,IDUNIDREFEREVEN,QTLIMIREFEREVEN,IDEVENTODEMONST,IDRETROCEDEVENT,IDZERAEVENFECHA,CDINTEGRAEVENTO,IDMEDIAEVENFERI,QTMINOCORMEDFER,QTMINOCORCONSEC,IDFALTASFERIAS,IDFALTAS13RESC,NRPRIORESTORNO,IDPROCDIFRESCIS,IDPROCDIFMOVANT,NREVENTONEG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,NMEVENTOH,IDGERAVRZERO,IDMEDIAVALREF,IDDTOCORRENCIA,NRDIGARREDONDA,VRLIMITEARRED,IDTIPOARREDONDA,DSOBSERVACAO,NRHOMOLOGRUBRICA,VRPERCENTUALEVENTO,NRORG,VRPISOEVENTO,VRTETOEVENTO,NRNATURUBR,NRINCIDCP,NRINCIDIRRF,NRINCIDFGTS,NRINCIDSIND,IDREPDSR,IDREPDECTERC,IDREPFERIAS,IDREPRECISAO,IDRETROCEDEPROV)
  VALUES ('15','15',null,null,null,TO_DATE('01/01/00','DD/MM/RR'),'S','15',null,null,'SISTEMA','DIA',null,'S','SEMPRE','N',null,'N',null,null,null,'N',null,'N','N',null,TO_DATE('01/01/00','DD/MM/RR'),TO_DATE('01/01/00','DD/MM/RR'),'1','1','1','1','Saldo Salario Rescisao','S','REFERENCIA','COMPETENCIA','-2','5','TOTAL',null,null,null,'0','-9999999999','9999999999',162,null,null,null,null,'N','N','N','N','N')
/

-- ============================================================
--   TABLE: FPA_TIPOASSOCEVE
-- ============================================================
INSERT INTO FPA_TIPOASSOCEVE (NRTIPOASSOCEVE,NMTIPOASSOCEVE,IDATIVO,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,TXOBSERVACAO,IDTIPOEVENTO,DSALTERNATIVA,NRORG)
  VALUES ('15','SALARIO_1_RESC','S',TO_DATE('01/01/00','DD/MM/RR'),TO_DATE('01/01/00','DD/MM/RR'),'1','1','1','1','Saldo Salario Rescisao','PROVENTO','SALARIO_I_RESC',null)
/

-- ============================================================
--   TABLE: FPA_ASSOCEVENTO
-- ============================================================
INSERT INTO FPA_ASSOCEVENTO (NRASSOCEVENTO,NREVENTOM,NRTIPOASSOCEVE,NRORG,IDATIVO,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,TXOBSERVACAO)
  VALUES ('15','15','15','0','S',TO_DATE('01/01/00','DD/MM/RR'),TO_DATE('01/01/00','DD/MM/RR'),'1','1','1','1','Saldo Salario Rescisao')
/

-- ============================================================
--   TABLE: FPA_REGRAM
-- ============================================================
INSERT INTO FPA_REGRAM (NRREGRAM,DTINIVIGENCIA,DTFIMVIGENCIA,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDDEBUG)
  VALUES ('19100722',TO_DATE('01/01/00 00:00:00','DD/MM/RR HH24:MI:SS'),null,'0',TO_DATE('01/01/00 00:00:00','DD/MM/RR HH24:MI:SS'),TO_DATE('01/01/00 00:00:00','DD/MM/RR HH24:MI:SS'),'1','1','1','1','N')
/

-- ============================================================
--   TABLE: FPA_REGRAH
-- ============================================================
INSERT INTO FPA_REGRAH (NRREGRAH,NMREGRAH,NRREGRAM,NREVENTOM,DTMESCOMPETENC,DSREGRA,DSOBSERVACAO,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,NRORG)
  VALUES ('101069','Gera Saldo Salário Rescisão','19100722','15',TO_DATE('01/10/18 00:00:00','DD/MM/RR HH24:MI:SS'),'SE(VAL_EVEN(10)>0,
   VAL_EVEN(10),
   SE(VAL_EVEN(20)>0,
      VAL_EVEN(20),
      VAL_EVEN(15)
     )
  )
+
ATRIB_REF(
   SE(REF_EVEN(10)>0,
      REF_EVEN(10),
      SE(REF_EVEN(20)>0,
         REF_EVEN(20),
         REF_EVEN(15)
        )
     )
  )',null,TO_DATE('01/01/00 00:00:00','DD/MM/RR HH24:MI:SS'),TO_DATE('01/01/00 00:00:00','DD/MM/RR HH24:MI:SS'),'1','1','1','1','0')
/

-- ============================================================
--   TABLE: FPA_TPCALCREGRA
-- ============================================================
INSERT INTO FPA_TPCALCREGRA (NRTPCALCREGRA,NRTIPOCALCULO,NRPTREGRA,NRSEQUENCIA,NRREGRAM,NMTPCALCREGRA,NRORG,IDATIVO,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU)
  VALUES ('1111','6','130','1','19100722','Gera Saldo Salário Rescisão','0','S',TO_DATE('01/01/00 00:00:00','DD/MM/RR HH24:MI:SS'),TO_DATE('01/01/00 00:00:00','DD/MM/RR HH24:MI:SS'),'1','1','1','1')
/