<?php

namespace HCM\FPA\Registro\grrf;

use HCM\FPA\Registro\RegistroGRRF;
use HCM\Util\DateUtil;

class Registro90GRRF extends RegistroGRRF{

    const REGISTRO_90 = '90';

    public function geraRegistro90(){
        $this->_geraRegistro(self::REGISTRO_90, parent::CARACTER_VAZIO, parent::CARACTER_VAZIO);
    }
    
    private function _geraRegistro($tpRegistro){

        // Bloco 1 | 001-002 | Tipo de registro.
        $this->atribuiDado($tpRegistro, 2);

        // Bloco 2 | 003-053 | Marca final do registro.
        $this->atribuiDado(parent::CARACTER_VAZIO, 51, parent::CARACTER_NOVE, parent::PREENCHE_DIREITA);

        // Bloco 3 | 054-359 | Brancos. Preencher com ' '.
        $this->atribuiDado(parent::CARACTER_VAZIO, 306, parent::CARACTER_BRANCO);

        // Bloco 4 | 360 | Final de linha. Inserir '*'.
        $this->atribuiDado(parent::CARACTER_VAZIO, 1, parent::CARACTER_ASTERISCO);
    }
}